CVE-2017-6430

NameCVE-2017-6430
DescriptionThe compile_tree function in ef_compiler.c in the Etterfilter utility in Ettercap 0.8.2 and earlier allows remote attackers to cause a denial of service (out-of-bounds read) via a crafted filter.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-3874-1
NVD severitymedium (attack range: remote)
Debian Bugs857035

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ettercap (PTS)jessie (security), jessie1:0.8.1-3+deb8u1fixed
stretch1:0.8.2-6fixed
buster, sid1:0.8.2-10fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
ettercapsource(unstable)1:0.8.2-4medium857035
ettercapsourcejessie1:0.8.1-3+deb8u1mediumDSA-3874-1

Notes

https://github.com/Ettercap/ettercap/issues/782
Patch: https://github.com/LocutusOfBorg/ettercap/commit/626dc56686f15f2dda13c48f78c2a666cb6d8506

Search for package or bug name: Reporting problems